OpenVDB: SparseToDenseCompositor< CompositeMethod, _TreeT > Class Template Reference

OpenVDB 10.0.1

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
SparseToDenseCompositor< CompositeMethod, _TreeT > Class Template Reference

`#include <openvdb/tools/DenseSparseTools.h>`

## Public Types
using | TreeT = _TreeT
using | ValueT = typename TreeT::ValueType
using | LeafT = typename TreeT::LeafNodeType
using | MaskTreeT = typename TreeT::template ValueConverter< ValueMask >::Type
using | MaskLeafT = typename MaskTreeT::LeafNodeType
using | DenseT = Dense< ValueT, openvdb::tools::LayoutZYX >
using | Index = openvdb::math::Coord::ValueType
using | Range3d = tbb::blocked_range3d< Index, Index, Index >

## Public Member Functions
| SparseToDenseCompositor (DenseT &dense, const TreeT &source, const TreeT &alpha, const ValueT beta, const ValueT strength)
| SparseToDenseCompositor (const SparseToDenseCompositor &other)
void | sparseComposite (bool threaded)
void | operator() (const MaskLeafT &maskLeaf, size_t) const
void | denseComposite (bool threaded)
void | operator() (const Range3d &range) const

## Static Public Member Functions
template<typename LeafT1 , typename LeafT2 >
static void | compositeFromLeaf (DenseT &dense, const openvdb::math::CoordBBox &bbox, const LeafT1 &source, const LeafT2 &alpha, const ValueT beta, const ValueT strength)
static void | compositeFromTile (DenseT &dense, openvdb::math::CoordBBox &bbox, const ValueT &sourceValue, const ValueT &alphaValue, const ValueT &beta, const ValueT &strength, bool threaded)

## Member Typedef Documentation

## ◆ DenseT

using DenseT = Dense<ValueT, openvdb::tools::LayoutZYX>

## ◆ Index

using Index = openvdb::math::Coord::ValueType

## ◆ LeafT

using LeafT = typename TreeT::LeafNodeType

## ◆ MaskLeafT

using MaskLeafT = typename MaskTreeT::LeafNodeType

## ◆ MaskTreeT

using MaskTreeT = typename TreeT::template ValueConverter<ValueMask>::Type

## ◆ Range3d

using Range3d = tbb::blocked_range3d<Index, Index, Index>

## ◆ TreeT

using TreeT = _TreeT

## ◆ ValueT

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ SparseToDenseCompositor() [1/2]

SparseToDenseCompositor | ( | DenseT & | dense,
|  | const TreeT & | source,
|  | const TreeT & | alpha,
|  | const ValueT | beta,
|  | const ValueT | strength
| ) |  |
| inline

## ◆ SparseToDenseCompositor() [2/2]

SparseToDenseCompositor | ( | const SparseToDenseCompositor< CompositeMethod, _TreeT > & | other | ) |
| inline

## Member Function Documentation

## ◆ compositeFromLeaf()

static void compositeFromLeaf | ( | DenseT & | dense,
|  | const openvdb::math::CoordBBox & | bbox,
|  | const LeafT1 & | source,
|  | const LeafT2 & | alpha,
|  | const ValueT | beta,
|  | const ValueT | strength
| ) |  |
| inlinestatic

## ◆ compositeFromTile()

static void compositeFromTile | ( | DenseT & | dense,
|  | openvdb::math::CoordBBox & | bbox,
|  | const ValueT & | sourceValue,
|  | const ValueT & | alphaValue,
|  | const ValueT & | beta,
|  | const ValueT & | strength,
|  | bool | threaded
| ) |  |
| inlinestatic

## ◆ denseComposite()

void denseComposite | ( | bool | threaded | ) |
| inline

## ◆ operator()() [1/2]

void operator() | ( | const MaskLeafT & | maskLeaf,
|  | size_t |
| ) |  | const
| inline

## ◆ operator()() [2/2]

void operator() | ( | const Range3d & | range | ) | const
| inline

## ◆ sparseComposite()

void sparseComposite | ( | bool | threaded | ) |
| inline